Bug 683574 - Logical volume resize causes corrupted filesystem
Logical volume resize causes corrupted filesystem
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
15
All Linux
high Severity high
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F15Beta/F15BetaBlocker
  Show dependency treegraph
 
Reported: 2011-03-09 13:28 EST by David Lehman
Modified: 2011-04-05 17:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: anaconda-15.26-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 681597
Environment:
Last Closed: 2011-04-05 17:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2011-03-09 13:28:30 EST
+++ This bug was initially created as a clone of Bug #681597 +++

Description of problem:
An attempt to resize existing logical volume during installation can corrupt filesystem on it. See steps to reproduce, logs from the installation will be attached.

Version-Release number of selected component (if applicable):
anaconda-15.20-1

How reproducible:
probably always

Steps to Reproduce:
1. install with default LVM partitioning
2. start new installation in graphical mode
3. use custom partitioning
4. edit and resize existing logical volume holding / from previous install
   new size: 2000 MB
   mount point: /mnt/resized
5. create logical volume for new root filesystem
6. reuse /boot and swap partitions from previous installation
7. continue with the installation

Actual results:
error message:

Unable to mount filesystem
An error occurred mounting device /dev/mapper/vg_rtt7-lv_root as /mnt/resized: mount failed: (9, None). This is a fatal error and the install cannot continue.

Press <Enter> to exit the installer.


Expected results:
resized logical volume is mounted after resizing, installer continues with package selection.
Comment 1 David Lehman 2011-03-09 14:07:37 EST
Fixed for Fedora 15 in anaconda-15.22-1.
Comment 2 James Laska 2011-03-11 14:40:38 EST
Discussed at 2011-03-11 blocker review meeting.  This issue is fixed and available for testing in anaconda-15.22-1.  The issue has been accepted as a beta blocker.
Comment 3 Fedora Update System 2011-03-29 16:59:00 EDT
anaconda-15.26-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/anaconda-15.26-1.fc15
Comment 4 Fedora Update System 2011-03-29 22:25:54 EDT
Package anaconda-15.26-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-15.26-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/anaconda-15.26-1.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-04-05 17:37:49 EDT
anaconda-15.26-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.